{
  "custom": {},
  "params": {
    "code": "```json\n{\n    \"content\": {\n        \"data\": [\n            {\n                \"Line Downtime Reason\": \"Unplanned Downtime\",\n                \"Line State Duration\": 6.433333333333334\n            },\n            {\n                \"Line Downtime Reason\": \"Broken Wheel\",\n                \"Line State Duration\": 2.75\n            },\n            {\n                \"Line Downtime Reason\": \"Control Arm Servo Fault\",\n                \"Line State Duration\": 2.5166666666666666\n            },\n            {\n                \"Line Downtime Reason\": \"E-Stop Pulled\",\n                \"Line State Duration\": 2.433333333333333\n            },\n            {\n                \"Line Downtime Reason\": \"CIP\",\n                \"Line State Duration\": 2.3\n            }\n        ]\n    }\n}\n```",
    "text": "Success"
  },
  "propConfig": {
    "params.code": {
      "paramDirection": "input",
      "persistent": true
    },
    "params.text": {
      "paramDirection": "input",
      "persistent": true
    }
  },
  "props": {
    "defaultSize": {
      "height": 400,
      "width": 550
    }
  },
  "root": {
    "children": [
      {
        "meta": {
          "name": "Label"
        },
        "position": {
          "basis": "32px"
        },
        "propConfig": {
          "props.text": {
            "binding": {
              "config": {
                "path": "view.params.text"
              },
              "type": "property"
            }
          }
        },
        "props": {
          "style": {
            "fontFamily": "Roboto",
            "fontSize": 18,
            "margin": 10
          }
        },
        "type": "ia.display.label"
      },
      {
        "meta": {
          "name": "Markdown"
        },
        "propConfig": {
          "props.source": {
            "binding": {
              "config": {
                "path": "view.params.code"
              },
              "type": "property"
            }
          }
        },
        "props": {
          "markdown": {
            "escapeHtml": false,
            "sourcePos": true
          },
          "sectionSpacing": 10
        },
        "type": "ia.display.markdown"
      }
    ],
    "meta": {
      "name": "root"
    },
    "props": {
      "direction": "column"
    },
    "type": "ia.container.flex"
  }
}